Loading...
Searching...
No Matches
Plugins: Leafref built-in type callbacks
Plugins: Types
Collaboration diagram for Plugins: Leafref built-in type callbacks:

## Functions

LIBYANG_API_DECL LY_ERR | lyplg_type_compare_leafref (const struct ly_ctx *ctx, const struct lyd_value *val1, const struct lyd_value *val2)
| Implementation of lyplg_type_compare_clb for the built-in leafref type.
LIBYANG_API_DECL LY_ERR | lyplg_type_dup_leafref (const struct ly_ctx *ctx, const struct lyd_value *original, struct lyd_value *dup)
| Implementation of lyplg_type_dup_clb for the built-in leafref type.
LIBYANG_API_DECL void | lyplg_type_free_leafref (const struct ly_ctx *ctx, struct lyd_value *value)
| Implementation of lyplg_type_free_clb for the built-in leafref type.
LIBYANG_API_DECL const void * | lyplg_type_print_leafref (const struct ly_ctx *ctx, const struct lyd_value *value, LY_VALUE_FORMAT format, void *prefix_data, ly_bool *dynamic, size_t *value_len)
| Implementation of lyplg_type_print_clb for the built-in leafref type.
LIBYANG_API_DECL int | lyplg_type_sort_leafref (const struct ly_ctx *ctx, const struct lyd_value *val1, const struct lyd_value *val2)
| Implementation of lyplg_type_sort_clb for the built-in leafref type.
LIBYANG_API_DECL LY_ERR | lyplg_type_store_leafref (const struct ly_ctx *ctx, const struct lysc_type *type, const void *value, size_t value_len, uint32_t options, LY_VALUE_FORMAT format, void *prefix_data, uint32_t hints, const struct lysc_node *ctx_node, struct lyd_value *storage, struct lys_glob_unres *unres, struct ly_err_item **err)
| Implementation of lyplg_type_store_clb for the built-in leafref type.
LIBYANG_API_DECL LY_ERR | lyplg_type_validate_leafref (const struct ly_ctx *ctx, const struct lysc_type *type, const struct lyd_node *ctx_node, const struct lyd_node *tree, struct lyd_value *storage, struct ly_err_item **err)
| Implementation of lyplg_type_validate_clb for the built-in leafref type.

## Detailed Description

Callbacks used (besides the simple callbacks) to implement leafref built-in type.

## Function Documentation

## lyplg_type_compare_leafref()

LIBYANG_API_DECL LY_ERR lyplg_type_compare_leafref | ( | const struct ly_ctx * | ctx,
|  | const struct lyd_value * | val1,
|  | const struct lyd_value * | val2 )

Implementation of lyplg_type_compare_clb for the built-in leafref type.

Definition at line 105 of file leafref.c.

## lyplg_type_dup_leafref()

LIBYANG_API_DECL LY_ERR lyplg_type_dup_leafref | ( | const struct ly_ctx * | ctx,
|  | const struct lyd_value * | original,
|  | struct lyd_value * | dup )

Implementation of lyplg_type_dup_clb for the built-in leafref type.

Definition at line 124 of file leafref.c.

## lyplg_type_free_leafref()

LIBYANG_API_DECL void lyplg_type_free_leafref | ( | const struct ly_ctx * | ctx,
|  | struct lyd_value * | value )

Implementation of lyplg_type_free_clb for the built-in leafref type.

Definition at line 130 of file leafref.c.

## lyplg_type_print_leafref()

LIBYANG_API_DECL const void * lyplg_type_print_leafref | ( | const struct ly_ctx * | ctx,
|  | const struct lyd_value * | value,
|  | LY_VALUE_FORMAT | format,
|  | void * | prefix_data,
|  | ly_bool * | dynamic,
|  | size_t * | value_len )

Implementation of lyplg_type_print_clb for the built-in leafref type.

Definition at line 117 of file leafref.c.

## lyplg_type_sort_leafref()

LIBYANG_API_DECL int lyplg_type_sort_leafref | ( | const struct ly_ctx * | ctx,
|  | const struct lyd_value * | val1,
|  | const struct lyd_value * | val2 )

Implementation of lyplg_type_sort_clb for the built-in leafref type.

Definition at line 111 of file leafref.c.

## lyplg_type_store_leafref()

LIBYANG_API_DECL LY_ERR lyplg_type_store_leafref | ( | const struct ly_ctx * | ctx,
|  | const struct lysc_type * | type,
|  | const void * | value,
|  | size_t | value_len,
|  | uint32_t | options,
|  | LY_VALUE_FORMAT | format,
|  | void * | prefix_data,
|  | uint32_t | hints,
|  | const struct lysc_node * | ctx_node,
|  | struct lyd_value * | storage,
|  | struct lys_glob_unres * | unres,
|  | struct ly_err_item ** | err )

Implementation of lyplg_type_store_clb for the built-in leafref type.

Definition at line 40 of file leafref.c.

## lyplg_type_validate_leafref()

LIBYANG_API_DECL LY_ERR lyplg_type_validate_leafref | ( | const struct ly_ctx * | ctx,
|  | const struct lysc_type * | type,
|  | const struct lyd_node * | ctx_node,
|  | const struct lyd_node * | tree,
|  | struct lyd_value * | storage,
|  | struct ly_err_item ** | err )

Implementation of lyplg_type_validate_clb for the built-in leafref type.

Definition at line 67 of file leafref.c.